05/23/2016 09:11 AM - Mario Carrera

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Database
Target version: 2.4.0-2843 (rev. org.gvsig.desktop-2.0.???)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2425 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Oracle driver is not working in gvSIG 2.2 and 2.3. It seems the plugin only has to be compiled to fix the problem. 
This is the error (from a user at the mailing list):

ERROR [MapControl Drawer Worker] (NotificationManager.java:90) - org/gvsig/fmap/geom/impl/DefaultGeometryManager

java.lang.NoClassDefFoundError: org/gvsig/fmap/geom/impl/DefaultGeometryManager
    at org.gvsig.fmap.dal.store.oracle.OracleUtils.createNullGeometry(OracleUtils.java:4216)
    at org.gvsig.fmap.dal.store.oracle.OracleUtils.getGeometry(OracleUtils.java:3857)
    at org.gvsig.fmap.dal.store.oracle.OracleStoreProvider.loadFeatureProviderValue(OracleStoreProvider.java:528)
    at org.gvsig.fmap.dal.store.oracle.OracleStoreProvider$1.run(OracleStoreProvider.java:603)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:316)
    at org.gvsig.fmap.dal.resource.spi.AbstractNonBlockingResource.execute(AbstractNonBlockingResource.java:57)
    at org.gvsig.fmap.dal.store.oracle.OracleStoreProvider.loadFeatureProvider(OracleStoreProvider.java:587)
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.getFeatureProvider(JDBCIterator.java:121)
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.internalNext(JDBCIterator.java:102)
    at org.gvsig.fmap.dal.store.jdbc.JDBCIterator.next(JDBCIterator.java:70)
    at org.gvsig.fmap.dal.feature.impl.featureset.DefaultIterator.next(DefaultIterator.java:89)
    at org.gvsig.fmap.dal.feature.impl.featureset.DefaultFeatureSet.doAccept(DefaultFeatureSet.java:331)
    at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
    at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.ja
end.java:536)
    at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:518)
8)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3345: Error loading an O... Outdated 04/16/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3030: Error Tabla de Atr... Outdated 11/26/2014
Related to Application: gvSIG desktop - gvSIG feature requests # 4454: Desarr... Closed 06/02/2017

History
#1 - 07/25/2016 07:19 PM - Álvaro Anguix
- Category set to Database
#2 - 06/08/2017 01:03 PM - Álvaro Anguix
- Target version set to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)
- Assignee set to Joaquín  del Cerro Murciano

#3 - 06/08/2017 01:03 PM - Álvaro Anguix
- Severity changed from Minor to Major

#4 - 06/08/2017 01:06 PM - Álvaro Anguix
- Related to gvSIG bugs #3345: Error loading an Oracle Layer added

#5 - 06/08/2017 01:07 PM - Álvaro Anguix
- Related to gvSIG bugs #3030: Error Tabla de Atributos con Capas sin Primary Key added

#6 - 06/08/2017 03:39 PM - Álvaro Anguix
- Related to gvSIG feature requests #4454: Desarrollar el proveedor de oracle  added

#7 - 08/01/2017 11:22 AM - Joaquín  del Cerro Murciano
- Priority changed from High to Normal

#8 - 08/04/2017 06:49 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#9 - 11/29/2017 06:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2843 (rev. org.gvsig.desktop-2.0.???)
- Status changed from New to Outdated
